Qt 5.8 | Qt 3D | C++ Classes | QCylinderMesh

Qt 5.8.0 Reference Documentation

# QCylinderMesh Class

(Qt3DExtras::QCylinderMesh)

A cylindrical mesh. More...

Header: | #include <QCylinderMesh>
qmake: | QT += 3dextras
Instantiated By: | CylinderMesh
Inherits: | Qt3DRender::QGeometryRenderer

- List of all members, including inherited members

## Properties

- length : float
- radius : float
- rings : int
- slices : int

- 10 properties inherited from Qt3DRender::QGeometryRenderer
- 1 property inherited from Qt3DCore::QComponent
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QCylinderMesh(Qt3DCore::QNode *parent = nullptr)
float | length() const
float | radius() const
int | rings() const
int | slices() const

- 12 public functions inherited from Qt3DRender::QGeometryRenderer
- 2 public functions inherited from Qt3DCore::QComponent
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setLength(float length)
void | setRadius(float radius)
void | setRings(int rings)
void | setSlices(int slices)

- 10 public slots inherited from Qt3DRender::QGeometryRenderer
- 1 public slot inherited from Qt3DCore::QComponent
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | lengthChanged(float length)
void | radiusChanged(float radius)
void | ringsChanged(int rings)
void | slicesChanged(int slices)

- 10 signals inherited from Qt3DRender::QGeometryRenderer
- 1 signal inherited from Qt3DCore::QComponent
- 3 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

A cylindrical mesh.

## Property Documentation

### length : float

Holds the length of the cylinder.

Access functions:

float | length() const
void | setLength(float length)

Notifier signal:

void | lengthChanged(float length)

### radius : float

Holds the radius of the cylinder.

Access functions:

float | radius() const
void | setRadius(float radius)

Notifier signal:

void | radiusChanged(float radius)

### rings : int

Holds the number of rings in the mesh.

Access functions:

int | rings() const
void | setRings(int rings)

Notifier signal:

void | ringsChanged(int rings)

### slices : int

Holds the number of slices in the mesh.

Access functions:

int | slices() const
void | setSlices(int slices)

Notifier signal:

void | slicesChanged(int slices)

## Member Function Documentation

### QCylinderMesh::QCylinderMesh(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QCylinderMesh.